Bug 174167 - CVE-2005-3390 PHP register globals arbitrary code execution
CVE-2005-3390 PHP register globals arbitrary code execution
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
impact=moderate,public=20051031,sourc...
: Security
Depends On: 172208
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-25 07:41 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-06 08:36:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-11-25 07:41:36 EST
FC5test1 tracking bug

+++ This bug was initially created as a clone of Bug #172207 +++

The RFC1867 file upload feature in PHP 4.x up to 4.4.0 and 5.x up to 5.0.5,
when register_globals is enabled, allows remote attackers to modify the
GLOBALS array and bypass security protections of PHP applications via a
multipart/form-data POST request with a "GLOBALS" fileupload field.

http://www.hardened-php.net/advisory_202005.79.html

This issue should also affect FC3

-- Additional comment from jorton@redhat.com on 2005-11-08 06:28 EST --
*** Bug 172200 has been marked as a duplicate of this bug. ***
Comment 1 Mark J. Cox (Product Security) 2006-01-16 08:02:18 EST
leaving vulnerable for FC5test2 until we check to make sure this is actually
fixed in upstream 5.1.1
Comment 2 Mark J. Cox (Product Security) 2006-01-31 03:18:01 EST
ping!  if fixed in rawhide please close this bug, otherwise please try to fix
this before FC5Test3 (Feb 6)
Comment 3 Mark J. Cox (Product Security) 2006-02-06 04:18:41 EST
ping!  if fixed in rawhide please close this bug, otherwise please try to fix
this before FC5Test3 (Feb 13 freeze)
Comment 4 Rahul Sundaram 2006-02-20 06:31:40 EST

These bugs are being closed since a large number of updates have been released
after the FC5 test1 and test2 releases. Kindly update your system by running yum
update as root user or try out the third and final test version of FC5 being
released in a short while and verify if the bugs are still present on the system
.Reopen or file new bug reports as appropriate after confirming the presence of
this issue. Thanks
Comment 5 Joe Orton 2006-03-06 08:36:39 EST
By code inspection, this is fixed in the 5.1.2 tree.

Note You need to log in before you can comment on or make changes to this bug.